Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.config
Class GeneratorApache2

    java.lang.Object
      org.apache.jk.config.GeneratorApache2

All Implemented Interfaces:
  WebXml2Jk.MappingGenerator

public class GeneratorApache2
extends java.lang.Object
implements WebXml2Jk.MappingGenerator

Author:
  Costin Manolache

Constructor Summary
`GeneratorApache2()`

Method Summary
`void` | `generateConstraints(java.util.Vector urls, java.util.Vector methods, java.util.Vector roles, boolean isSSL)`
`void` | `generateEnd()`
`void` | `generateErrorPage(int err, java.lang.String location)`
`void` | `generateFilterMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateLoginConfig(java.lang.String loginPage, java.lang.String errPage, java.lang.String authM)`
`void` | `generateServletMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateStart()` Start section( vhost declarations, etc )
`void` | `setWebXmlReader(WebXml2Jk wxml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorApache2

    public GeneratorApache2()

Method Detail

### setWebXmlReader

    public void setWebXmlReader(WebXml2Jk wxml)

  Specified by:
    `setWebXmlReader` in interface `WebXml2Jk.MappingGenerator`

### generateStart

    public void generateStart()
                       throws java.io.IOException

  Description copied from interface: `WebXml2Jk.MappingGenerator`
  Start section( vhost declarations, etc )

  Specified by:
    `generateStart` in interface `WebXml2Jk.MappingGenerator`
  Throws:
    `java.io.IOException`

### generateEnd

    public void generateEnd()

  Specified by:
    `generateEnd` in interface `WebXml2Jk.MappingGenerator`

### generateServletMapping

    public void generateServletMapping(java.lang.String servlet,
                                       java.lang.String url)

  Specified by:
    `generateServletMapping` in interface `WebXml2Jk.MappingGenerator`

### generateFilterMapping

    public void generateFilterMapping(java.lang.String servlet,
                                      java.lang.String url)

  Specified by:
    `generateFilterMapping` in interface `WebXml2Jk.MappingGenerator`

### generateLoginConfig

    public void generateLoginConfig(java.lang.String loginPage,
                                    java.lang.String errPage,
                                    java.lang.String authM)

  Specified by:
    `generateLoginConfig` in interface `WebXml2Jk.MappingGenerator`

### generateErrorPage

    public void generateErrorPage(int err,
                                  java.lang.String location)

  Specified by:
    `generateErrorPage` in interface `WebXml2Jk.MappingGenerator`

### generateConstraints

    public void generateConstraints(java.util.Vector urls,
                                    java.util.Vector methods,
                                    java.util.Vector roles,
                                    boolean isSSL)

  Specified by:
    `generateConstraints` in interface `WebXml2Jk.MappingGenerator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.